Subject: bug#73609: 29.1; use-package overwrites custom variables in byte-compiled files

From: John Wiegley <[email-masked]>
Date: Mon, 14 Oct 2024 08:10:39 -0700

>>>>> Al Haji-Ali <[email-masked]> writes:

> I hope this clarifies the issue. I included a potential patch in my original
> message which fixes the issue, but I am not sure if it would have unintended
> consequences,

Ah, I understand now, this is indeed a complication that should be addressed.
Byte-compiling use-package declarations has always been rather tricky, and it
still does not even work for my own personal configuration.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2